%define name	kompose
%define version	0.5.3
%define release %mkrel 5

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A full screen pager for KDE
Source0:	http://download.berlios.de/kompose/%{name}-%{version}.tar.bz2
Source11:       %{name}.16.png
Source12:       %{name}.32.png
Source13:       %{name}.48.png
License:	GPL
Group:		Graphical desktop/KDE
Url:		http://developer.berlios.de/projects/kompose
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdelibs-devel 
BuildRequires:  imlib2-devel

%description
Kompose give instant access to any open window. Display all open windows 
on all virtual desktop as thumbnails.
Allow drag&drop windows between virtual desktops.
For mac users, it is an Expos-like.

%prep
%setup -q


%build
libtoolize -c -f
aclocal-1.9
autoheader
automake-1.9 -a -c
autoconf
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }

%configure --disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# Menu icons
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png


install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} "More Applications/Games/Toys" $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/kompose.desktop $RPM_BUILD_ROOT%{_menudir}/%{name} 

%find_lang %name

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/kompose
%{_datadir}/applnk/Utilities/kompose.desktop
%{_datadir}/apps/kompose/komposeui.rc
%dir %{_datadir}/apps/kompose

%_datadir/apps/kompose/icons/hicolor/16x16/actions/*.png
%_datadir/apps/kompose/icons/hicolor/16x16/apps/*.png
%_datadir/apps/kompose/icons/hicolor/32x32/actions/*.png
%_datadir/apps/kompose/icons/hicolor/32x32/apps/*.png

%dir %_docdir/HTML/en/kompose/
%doc %_docdir/HTML/en/kompose/common
%doc %_docdir/HTML/en/kompose/*.bz2
%doc %_docdir/HTML/en/kompose/*.docbook


#menu stuff
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Thu Jul 13 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.3-5mdv2007.0
- Rebuild for new menu && extension

* Fri May 19 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.5.3-4mdk
- build with automake1.8

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.3-3mdk
- Remove redundant Buildrequires

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.3-2mdk
- Fix Buildrequires
- use mkrel

* Sat Jul 23 2005 Laurent MONTEL <lmontel@mandriva.com> 0.5.3-1mdk
- 0.5.3

* Fri Jul 22 2005 Laurent MONTEL <lmontel@mandriva.com> 0.5.2-1mdk
- 0.5.2

* Fri May 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.5.1-2mdk
- Fix build on x86_64

* Thu Dec 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.1-1mdk
- 0.5.1

* Mon Oct 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-1mdk
- 0.5

* Fri Sep 03 2004 Michael Scherer <misc@mandrake.org> 0.4.2-2mdk 
- BuildRequires

* Wed Sep 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.2-1mdk
- 0.4.2

* Fri Aug 27 2004 Michael Scherer <misc@mandrake.org> 0.4.1-1mdk 
- Update version

* Tue Aug 17 2004 Michael Scherer <misc@mandrake.org> 0.3-2mdk 
- [DIRM]

* Tue Aug 03 2004 Couriousous <couriousous@zarb.org> 0.3-1mdk
- New version

* Mon Jul 19 2004 Couriousous <couriousous@zarb.org> 0.2-1mdk
- First Mandrakelinux release
